EVENT_MANAGER:RegisterForEvent("LMP-RemovedFonts", EVENT_ADD_ON_LOADED, function(eventCode, addonName)
   if addonName:find("^ZO_") then return end
   EVENT_MANAGER:UnregisterForEvent("LMP-RemovedFonts", eventCode)

   local LMP = LibStub("LibMediaProvider-1.0")

   if LMP.MediaTable.font["Arial Narrow"]     then LMP.MediaTable.font["Arial Narrow"]     = "LMP-RemovedFonts/Fonts/arialn.ttf"               end
   if LMP.MediaTable.font["ESO Cartographer"] then LMP.MediaTable.font["ESO Cartographer"] = "LMP-RemovedFonts/Fonts/esocartographer-bold.otf" end
   if LMP.MediaTable.font["Fontin Bold"]      then LMP.MediaTable.font["Fontin Bold"]      = "LMP-RemovedFonts/Fonts/fontin_sans_b.otf"        end
   if LMP.MediaTable.font["Fontin Italic"]    then LMP.MediaTable.font["Fontin Italic"]    = "LMP-RemovedFonts/Fonts/fontin_sans_i.otf"        end
   if LMP.MediaTable.font["Fontin Regular"]   then LMP.MediaTable.font["Fontin Regular"]   = "LMP-RemovedFonts/Fonts/fontin_sans_r.otf"        end
   if LMP.MediaTable.font["Fontin SmallCaps"] then LMP.MediaTable.font["Fontin SmallCaps"] = "LMP-RemovedFonts/Fonts/fontin_sans_sc.otf"       end

   LMP:Register("font", "Arial Narrow",               "LMP-RemovedFonts/Fonts/arialn.ttf")
   LMP:Register("font", "ESO Cartographer",           "LMP-RemovedFonts/Fonts/esocartographer-bold.otf")
   LMP:Register("font", "Fontin Bold",                "LMP-RemovedFonts/Fonts/fontin_sans_b.otf")
   LMP:Register("font", "Fontin Italic",              "LMP-RemovedFonts/Fonts/fontin_sans_i.otf")
   LMP:Register("font", "Fontin Regular",             "LMP-RemovedFonts/Fonts/fontin_sans_r.otf")
   LMP:Register("font", "Fontin SmallCaps",           "LMP-RemovedFonts/Fonts/fontin_sans_sc.otf")
   LMP:Register("font", "Futura Std Condensed",       "EsoUI/Common/Fonts/FuturaStd-Condensed.otf")
   LMP:Register("font", "Futura Std Condensed Light", "EsoUI/Common/Fonts/FuturaStd-CondensedLight.otf")
   LMP:Register("font", "Futura Std Condensed Bold",  "EsoUI/Common/Fonts/FuturaStd-CondensedBold.otf")
end)