CurvyHud.Loc_EN = {}

local L = CurvyHud.Loc_EN
-- Add on name
L.CurvyHud = "CurvyHud"

-- Beverage buffs names
-- L.H_Beverage = "Health Recovery"
-- L.M_Beverage = "Magicka Recovery"
-- L.S_Beverage = "Stamina Recovery"
-- L.HS_Beverage = ""
-- L.HM_Beverage = ""
-- L.MS_Beverage = ""
-- L.HMS_Beverage = ""

-- Configuration manager
L.defaultConfig = "* Default style "

L.cfgManager =  "Configuration manager"

L.cfgTextTitle = "Current preset : "
L.cfgText = "\"Load\" will reload the UI with the selected preset. \"Save\" will overwrite the selected preset with the current configuration. Default presets are preceded by * and cannot be overwritten"

L.cfgBtnLoad = "Load (reload UI)"
L.cfgBtnLoadWarning = "The current configuration will be lost if it has not been saved ! "

L.cfgBtnSave = "Save"
L.cfgBtnSaveWarning = "Saving will overwrite the selected preset !"

L.cfgTextNew = "To create a new preset based on the current configuration, enter a name and hit \"Create\". Allowed chracter : letters, numbers, _ and -"
L.cfgBtnNew = "Create"
L.cfgBtnNewTooltip = "Creates a new preset with the given name"
L.cfgBtnNewWarningExisting = "A preset with this name already exists"
L.cfgBtnNewWarningFormat = "The name you entered has forbidden characters. Allowed characters are letters, numbers, _ and - "

-- Move UI --
L.MoveModeHeader = "Move HUD elements"
L.MoveModeText = "Hit \'Enable\' to be allowed to drag'n'drop the HUD elements (bar containers, text values, target nameplate and interaction prompt). Hit \'Disable\' when you're finished (you can access these commands with /curvy_move on and /curvy_move off)"
L.MoveModeBtnEnable = "Enable"
L.MoveModeBtnDisable = "Disable"
L.MoveModeLockContainer = ""
L.MoveModeLockTextValues = "Anchor text values to containers"
L.MoveModeLockTextValuesTooltip = "Moving the containers will also move the text values accordingly. You can still move the text values independently. "

L.Move_targetNameplate = "Target Nameplate"
L.Move_barContainerLeft = "Left bar container"
L.Move_barContainerRight = "Right bar container"
L.Move_interactionPrompt = "Interaction prompt"
L.Move_healthBarText = "Health"
L.Move_magickaBarText = "Magicka"
L.Move_staminaBarText = "Stamina"
L.Move_targetBarText= "Target"
L.Move_mountBarText = "Mount stamina"
L.Move_werewolfBarText = "Werewolf timer"
L.Move_siegeBarText = "Siege health"
L.Move_shieldText = "Shield"
L.Move_targetShieldText = "Target Shield"
L.PositionSetterWarningNaN = "Not a number"


-- General settings
L.GeneralSettings = "General settings"

L.HidePlayerFrame = "Hide default player frame"
L.HideTargetFrame = "Hide default target frame"

L.BarSpacing = "Bar spacing"
L.BarSpacingTooltip = "Sets the size of the space between each attribute bars (in pixels)"

L.BarWidth = "Bar frame width"
L.BarWidthTooltip = "Sets the width of the attribute bars frame"

L.BarHeight = "Bar frame height"
L.BarHeightTooltip = "Sets the height of the attribute bars frame"

L.ContainerLeftStyle = "Left bar container style"
L.ContainerLeftStyleTooltip = "Sets the style of the left bar container"

L.ContainerRightStyle = "Right bar container style"
L.ContainerRightStyleTooltip = "Sets the style of the right bar container"

L.ContainerStyleNormal = "Normal"
L.ContainerStyleStairway = "Stairway"

-- Opacity settings
L.OpacitySettings = "Opacity Settings"
L.OpacitySettingsTooltip = "Open the sub-menu to set the opacity of the HUD ( 0 means 'completely transparent')"

L.OocOpacity = "Out of combat opacity"
L.OocOpacityTooltip = "Sets the opacity of the HUD while out of combat"

L.CombatOpacity = "Combat opacity"
L.CombatOpacityTooltip  = "Sets the opacity of the HUD while in combat"

L.TargetAcquiredOpacity = "Target acquired opacity"
L.TargetAcquiredOpacityTooltip = "Sets the opacity of the target bar while out of combat and with a hostile unit targeted" 

L.AttributeUsedOpacity = "Attribute-usage opacity"
L.AttributeUsedOpacityTooltip = "Sets the opacity of any player attribute bar while out of combat and with that attribute not at its maximum" 

-- Target nameplate settings
L.ShowNameplate = "Show target nameplate"
L.TargetNameplateSettings = "Target Nameplate"
L.Font = "Font"
L.FontSize = "Font size"
L.RankIconDisplay = "Display AvA Rank Icon"
L.ClassIconDisplay = "Display Class icon"
L.AllianceIconDisplay = "Display Alliance icon"
L.ColorLevelBy = "Color level by :"
L.ColorNameBy = "Color name by :"
L.None = "Do not color"
L.Reaction	 = "Reaction"
L.Difficulty = "Difficulty"

-- Bar settings
L.BarSettingsHeader = "Bar settings"

L.BarSelect = "Select a bar to configure"
L.Health = "Health"
L.Stamina = "Stamina"
L.Magicka = "Magicka"
L.Target = "Target Health"
L.Mount = "Mount Stamina"
L.Siege = "Siege Weapon Health"
L.Werewolf = "Werewolf Timer"

L.ShowBar = "Display bar"

L.Position = "Bar container"
L.Left = "Left"
L.Right = "Right"
L.Index = "Position"
L.IndexTooltip = "Sets the position in the container. 1 is closest to the center of the screen"

L.BarColorMax = "Bar color at maximum"
L.BarColorMaxTooltip = "Sets the color of the bar when the related attribute is at its maximum"

L.BarColorLow = "Bar color at minimum"
L.BarColorLowTooltip = "Sets the color of the bar when the related attribute is at its minimum"

L.BorderColorMax = "Border color at maximum"
L.BorderColorMaxTooltip = "Sets the color of the border when the related attribute is at its maximum"

L.BorderColorLow = "Border color at minimum"
L.BorderColorLowTooltip = "Sets the color of the border when the related attribute is at its minimum"

L.ShowText = "Display text value"
L.TextFormat = "Text values format"
L.TextFormatTooltip = "Set the format of the text values. {val} will be replaced by the current value, {per} will be replaced by the current percentage, {max} will be replaced by the maximum"

L.TextColor = "Text values color"

-- Visuals settings
L.VisualsSettingsHeader = "Player Buffs settings"
L.TargetVisualsSettingsHeader = "Target Buffs Settings"
L.ShowShield = "Display shield"
L.ShieldColor = "Shield Color"
L.ShowShieldText = "Display shield text value"
L.ShieldTextFormat = "Shield text value format"
L.ShieldTextFormatTooltip = "Set the format of the shield text values. {val} will be replaced by the current value."
L.ShieldTextColor = "Shield text value color"

L.ShowRegen = "Display regeneration"
L.ShowDegen = "Display \"degeneration\""