
local stats = {
	[STAT_ATTACK_POWER] 		= "Attack power", -- 1
	[STAT_WEAPON_POWER] 		= "Weapon Power", -- 2
	[STAT_ARMOR_RATING]			= "Armor rating", -- 3
	[STAT_MAGICKA_MAX] 			= "Magicka max", -- 4
	[STAT_MAGICKA_REGEN_COMBAT] = "Magicka combat regen", -- 5
	[STAT_MAGICKA_REGEN_IDLE] 	= "Magicka idle regen", -- 6
	[STAT_HEALTH_MAX] 			= "Health max", -- 7
	[STAT_HEALTH_REGEN_COMBAT]	= "Health combat regen", -- 8
	[STAT_HEALTH_REGEN_IDLE] 	= "Health idle regen", -- 9
	[STAT_HEALING_TAKEN] 		= "Healing taken", -- 10
	[STAT_DODGE] 				= "Dodge", -- 11
	[STAT_PARRY] 				= "Parry", -- 12
	[STAT_SPELL_RESIST] 		= "Spell Resist", -- 13
	[STAT_BLOCK]				= "Block", -- 14
	[STAT_CRITICAL_STRIKE]		= "Critical strike", -- 16
	[STAT_MITIGATION] 			= "Mitigation", -- 20
	[STAT_STAMINA_MAX] 			= "Stamina max", -- 29
	[STAT_STAMINA_REGEN_COMBAT] = "Stamina combat regen", -- 30
	[STAT_STAMINA_REGEN_IDLE] = "Stamina idle regen", -- 31
	[STAT_POWER] = "Power" -- 35
}

local visuals =  {
	[ATTRIBUTE_VISUAL_INCREASED_MAX_POWER] = "Max Increased", -- 1
	[ATTRIBUTE_VISUAL_DECREASED_MAX_POWER] = "Max Decreased", -- 2
	[ATTRIBUTE_VISUAL_INCREASED_REGEN_POWER] = "Regen Increased", -- 3
	[ATTRIBUTE_VISUAL_DECREASED_REGEN_POWER] = "Regen Decreased", -- 4
	[ATTRIBUTE_VISUAL_POWER_SHIELDING] = "Power Shielding", -- 5
	[ATTRIBUTE_VISUAL_UNWAVERING_POWER] = "Unwavering power", -- 6
	[ATTRIBUTE_VISUAL_INCREASED_STAT] = "Stat Increased", -- 7
	[ATTRIBUTE_VISUAL_DECREASED_STAT] = "Stat Decreased", -- 8

}

powertypes  = {
	[8] = "PT Adrenaline",
	[5] = "PT Charges",
	[3] = "PT Combo",
	[2] = "PT Fervor",
	[9] = "PT Finesse",
	[-2] = "PT Health",
	[0] = "PT Magicka",
	[7] = "PT Momentum",
	[11] = "PT Mount Stamina",
	[4] = "PT Power",
	[6] = "PT Stamina",
	[10] = "PT Ultimate",
	[1] = "PT Werewolf"
}

local eventCodes = {
	[EVENT_UNIT_ATTRIBUTE_VISUAL_ADDED ] = "Added",
	[EVENT_UNIT_ATTRIBUTE_VISUAL_REMOVED ] = "Removed",
	[EVENT_UNIT_ATTRIBUTE_VISUAL_UPDATED ] = "Updated"
}
-- GetUnitAttributeVisualizerEffectInfo( unitTag,  unitAttributeVisual,  statType,  attributeType,  powerType)
function CurvyHud.OnVisualChanged(event, unitTag, unitAttributeVisual, statType, attributeType, powerType, val1, val2,val3,val4)
	local value
	local maxValue 
	local oldValue
	local oldMaxValue 
	local stat 		= stats[statType] or statType
	local visual 	= visuals[unitAttributeVisual] or unitAttributeVisual
	local powertype = powertypes[powerType] or powerType
	local visualOn 	= false

	if(event == EVENT_UNIT_ATTRIBUTE_VISUAL_ADDED ) then  -- added
		value 	= val1
		maxValue= val2
		visualOn = true
	elseif(event == EVENT_UNIT_ATTRIBUTE_VISUAL_REMOVED ) then -- removed
		value 	= val1
		maxValue= val2
		visualOn = false
	elseif(event == EVENT_UNIT_ATTRIBUTE_VISUAL_UPDATED ) then -- updated
		value	 	= val2
		maxValue	= val4
		oldValue	= val1
		oldMaxValue	= val3
		visualOn = true
	end
		-- d(eventCodes[event].." : " .. stat..", "..visual..",".. powertype)
		-- d("Value = "..value)
		-- d("MaxValue = "..maxValue)
	if(unitTag == "player") then
		
		-- if(event == EVENT_UNIT_ATTRIBUTE_VISUAL_UPDATED ) then
		 -- "..oldValue)
			-- d("Old MaxValue = "..oldMaxValue)
			-- local maxValueGap = math.floor((oldMaxValue-maxValue)*100)/100
			-- local valueGap = math.floor((oldValue-value)*100)/100
			-- d("maxValueGap"..tostring(maxValueGap))
			-- d("valueGap"..tostring(valueGap))
			-- if(	maxValue <oldMaxValue) then -- normal regen, i.e. can crit
				-- if(value > oldValue) then
					-- d("EFFECT ADDED")
				-- elseif(value < oldValue) then
					-- if(valueGap == maxValueGap) then
						-- d("EFFECT CRIT")
					-- else
						-- d("EFFECT REMOVED")
					-- end
				-- end
			-- -- elseif(	maxValue >oldMaxValue) then -- beverage regen or percentage regen
				-- -- if(value > oldValue) then
					-- -- d("EFFECT ADDED")
					-- -- pouet = (oldMaxValue-maxValue)
				-- -- elseif(value < oldValue) then
					-- -- d("EFFECT REMOVED")
				-- -- end
			-- end	d("Old Value =
		-- end
		-- d("-----------------------------------------")
		-- d(GetUnitAttributeVisualizerEffectInfo(unitTag,unitAttributeVisual,statType,attributeType,powerType))
		CurvyHud:UpdatePlayerVisual(visualOn,unitAttributeVisual,statType,powerType,value,maxValue)
	elseif(unitTag == 'reticleover') then
		CurvyHud:UpdateTargetVisual(visualOn,unitAttributeVisual,statType,powerType,value,maxValue)
	end
end