CurvyHud.Loc_FR = {}

local L = CurvyHud.Loc_FR
-- Add on name
L.CurvyHud = "CurvyHud"

-- Beverage buffs names
-- L.H_Beverage = "Récupération de Santé"
-- L.M_Beverage = "Récupération de Magie"
-- L.S_Beverage = "Récupération de Vigueur"
-- L.HS_Beverage = ""
-- L.HM_Beverage = ""
-- L.MS_Beverage = ""
-- L.HMS_Beverage = ""

-- Configuration manager
L.defaultConfig = "* Style par défaut "

L.cfgManager =  "Gestionnaire de configurations"

L.cfgTextTitle = "Profil actuel : "
L.cfgText = "Cliquez sur \"Charger\" pour recharger l'interface avec  le profil sélectionné. \"Sauver\" remplacera le profil sélectionné avec la configuration actuelle. Les profils par défaut sont précédés par * et ne peuvent pas être remplacés"

L.cfgBtnLoad = "Charger"
L.cfgBtnLoadWarning = "La configuration actuelle sera perdue si elle n'a pas été sauvée !"

L.cfgBtnSave = "Sauver"
L.cfgBtnSaveWarning = "La sauvegarde écrasera le profil sélectionné !"

L.cfgTextNew = "Pour créer un nouveau profil basé sur la configuration actuelle, entrez un nom et cliquez sur \"Créer\". Caractères autorisés : lettre, chiffres, _ et - "
L.cfgBtnNew = "Créer"
L.cfgBtnNewTooltip = "Créé un nouveau profil avec le nom entré"
L.cfgBtnNewWarningExisting = "Un profil avec ce nom existe déjà"
L.cfgBtnNewWarningFormat = "Le nom que vous avez entré contient des caractères interdits. Les caractères autorisés sont les lettres sans accents, les chiffres, _ et - "

-- Move UI --
L.MoveModeHeader = "Déplacer les éléments du HUD"
L.MoveModeText = "Cliquez sur  \'Activer\' pour pouvoir déplacer les éléments du HUD (groupes de barres, valeurs texte, infos cible et invite d'interaction). Cliquez sur \'Désactiver\' quand vous avez fini (vous pouvez accéder à ces commandes avec /curvy_move on et /curvy_move off)"
L.MoveModeBtnEnable = "Activer"
L.MoveModeBtnDisable = "Désactiver"
L.MoveModeLockContainer = ""
L.MoveModeLockTextValues = "Ancrer les valeurs aux barres"
L.MoveModeLockTextValuesTooltip = "Déplacer les barres déplacera aussi les valeurs. Vous pourrez toutefois continuer à déplacer les valeurs indépendamment des barres. "

L.Move_targetNameplate = "Infos cible"
L.Move_barContainerLeft = "Barres de gauche"
L.Move_barContainerRight = "Barres de droite"
L.Move_interactionPrompt = "Invite d'interaction"
L.Move_healthBarText = "Santé"
L.Move_magickaBarText = "Magie"
L.Move_staminaBarText = "Vigueur"
L.Move_targetBarText = "Santé de la Cible"
L.Move_mountBarText = "Vigueur de la monture"
L.Move_werewolfBarText = "Timer de loup garou"
L.Move_siegeBarText = "Santé arme de siège"
L.Move_shieldText = "Bouclier"
L.Move_targetShieldText = "Bouclier de la cible"
L.PositionSetterWarningNaN = "Vous n'avez pas entré un nombre"


-- General settings
L.GeneralSettings = "Paramètres généraux"

L.HidePlayerFrame = "Cacher les barres par défaut du joueur"
L.HideTargetFrame = "Cacher la barre par défaut de la cible"

L.BarSpacing = "Espacement des barres"
L.BarSpacingTooltip = "Configure la taille de l'espacement entre les barres d'attributs (en pixels)"

L.BarWidth = "Largeur des barres"
L.BarWidthTooltip = "Configure la largeur des barres d'attributs"

L.BarHeight = "Hauteur des barres"
L.BarHeightTooltip = "Configure la hauteur des barres d'attributs"

L.ContainerLeftStyle = "Style du groupe de barres de gauche"
L.ContainerLeftStyleTooltip = "Configure le style du groupe de barre de gauche"

L.ContainerRightStyle = "Style du groupe de barres de droite"
L.ContainerRightStyleTolltip = "Configure le style du groupe de barre de droite"

L.ContainerStyleNormal = "Normal"
L.ContainerStyleStairway = "Escalier"

-- Opacity settings
L.OpacitySettings = "Options d'opacité"
L.OpacitySettingsTooltip = "Ouvre le sous-menu pour régler l'opacité du HUD ( 0 correspond à 'complètment transparent')"

L.OocOpacity = "Opacité hors du combat"
L.OocOpacityTooltip = "Configure l'opacité du HUD hors combat"

L.CombatOpacity = "Opacité en combat"
L.CombatOpacityTooltip  = "Configure l'opacité du HUD en combat"

L.TargetAcquiredOpacity = "Opacité avec ennemi ciblé"
L.TargetAcquiredOpacityTooltip ="Configure l'opacité de la barre de vie de la cible, hors combat et avec un ennemi ciblé" 

L.AttributeUsedOpacity = "Opacité des attributs en utilisation"
L.AttributeUsedOpacityTooltip = "Configure l'opacité des barres d'attribut du joueur, hors combat et quand cet attribut n'est pas à son maximum" 

-- Target nameplate settings
L.ShowNameplate = "Afficher les infos cible"
L.TargetNameplateSettings = "Infos cible"
L.Font = "Police"
L.FontSize = "Taille de la police"
L.RankIconDisplay = "Afficher l'icône de grade AvA"
L.ClassIconDisplay = "Afficher l'icône de classe"
L.AllianceIconDisplay = "Afficher l'icône d'alliance"
L.ColorLevelBy = "Colorer le niveau par :"
L.ColorNameBy = "Colorer le nom par :"
L.None = "Ne pas colorer"
L.Reaction	 = "Reaction"
L.Difficulty = "Difficulté"

-- Bar settings
L.BarSettingsHeader = "Paramètres des barres"

L.BarSelect = "Sélectionnez la barre à configurer"
L.Health = "Santé"
L.Stamina = "Vigueur"
L.Magicka = "Magie"
L.Target = "Santé de la cible"
L.Mount = "Vigueur de la monture"
L.Siege = "Santé de l'arme de siege"
L.Werewolf = "Timer de loup-garou"

L.ShowBar = "Afficher la barre"

L.Position = "Conteneur"
L.Left = "Gauche"
L.Right = "Droit"
L.Index = "Position"
L.IndexTooltip = "Position dans le conteneur. 1 est le plus proche du centre de l'écran"

L.BarColorMax = "Couleur de la barre au maximum"
L.BarColorMaxTooltip = "Configure la couleur de la barre quand l'attribut concerné est à son maximum"

L.BarColorLow = "Couleur de la barre au minimum"
L.BarColorLowTooltip = "Configure la couleur de la barre quand l'attribut concerné est à son minimum"

L.BorderColorMax = "Couleur de la bordure au maximum"
L.BorderColorMaxTooltip = "Configure la couleur de la bordure quand l'attribut concerné est à son maximum"

L.BorderColorLow = "Couleur de la bordure au minimum"
L.BorderColorLowTooltip = "Configure la couleur de la bordure quand l'attribut concerné est à son minimum"

L.ShowText = "Afficher les valeurs texte"
L.TextFormat = "Format des valeurs texte"
L.TextFormatTooltip = "Configure le format des valeurs textes. {val} sera remplacé par la valeur actuelle, {per} sera remplacé par le pourcentage actuel, {max} sera remplacée par le maximum"

L.TextColor = "Couleur des valeurs textes"

-- Visuals settings
L.VisualsSettingsHeader = "Buffs du joueur"
L.TargetVisualsSettingsHeader = "Buffs de la cible"
L.ShowShield = "Afficher le bouclier"
L.ShieldColor = "Couleur du bouclier"
L.ShowShieldText = "Afficher les valeurs du bouclier"
L.ShieldTextFormat = "Format des valeurs du bouclier"
L.ShieldTextFormatTooltip = "Configure le format des valeurs du bouclier. {val} sera remplacé par la valeur actuelle."
L.ShieldTextColor = "Couleur des valeurs du bouclier"

L.ShowRegen = "Afficher la régénération"
L.ShowDegen = "Afficher la \"dégénération\""